Skip to main content
GET
/
payout_methods
List payout methods
curl --request GET \
  --url https://api.whop.com/api/v1/payout_methods \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.whop.com/api/v1/payout_methods"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.whop.com/api/v1/payout_methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "account_reference": "****1234",
      "company": {
        "id": "biz_xxxxxxxxxxxxxx"
      },
      "created_at": "2023-12-01T05:00:00.401Z",
      "currency": "USD",
      "destination": {
        "country_code": "<string>",
        "name": "<string>"
      },
      "id": "potk_xxxxxxxxxxxxx",
      "institution_name": "Chase Bank",
      "is_default": true,
      "nickname": "My Business Account"
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true,
    "start_cursor": "<string>"
  }
}
{
"error": {
"code": "parameter_missing",
"message": "Missing required parameter: amount.",
"param": "amount",
"type": "invalid_request_error"
}
}
{
"error": {
"message": "Invalid or missing API key",
"type": "unauthorized"
}
}
{
"error": {
"message": "You do not have permission to access this resource",
"type": "forbidden"
}
}
{
"error": {
"message": "Resource not found",
"type": "not_found"
}
}
{
"error": null
}
{
"error": null
}
{
"error": {
"message": "An unexpected error occurred",
"type": "internal_server_error"
}
}

Authorizations

Authorization
string
header
required

A company API key, company scoped JWT, app API key, or user OAuth token. You must prepend your key/token with the word 'Bearer', which will look like Bearer ***************************

Query Parameters

after
string | null

Returns the elements in the list that come after the specified cursor.

before
string | null

Returns the elements in the list that come before the specified cursor.

first
integer | null

Returns the first n elements from the list.

Example:

42

last
integer | null

Returns the last n elements from the list.

Example:

42

company_id
string
required

The unique identifier of the company to list payout methods for.

Example:

"biz_xxxxxxxxxxxxxx"

Response

A successful response

The connection type for PayoutToken.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.